import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class SearchServlet extends HttpServlet
{
	 //AuctionQueryHandler SharedObjects.aqh = new AuctionQueryHandler();

	 public void doPost (HttpServletRequest request, HttpServletResponse response)
		  throws ServletException, IOException
		  {			   
			   System.out.println("in dopost.......searchservlet ");

			   PrintWriter out = response.getWriter();
			   response.setContentType("text/html");
			   
			   SharedObjects.qe.handleSearchQuery(out, request);
			   
			   System.out.println("in do post:done ");
		  }

	 //-----------------------------------------------------------------------------
	 public void doGet (HttpServletRequest request, HttpServletResponse response)
		  throws ServletException, IOException
		  {			   
			   System.out.println("in do get search ");

			   PrintWriter out = response.getWriter();
			   response.setContentType("text/html");
			   System.out.println("in do get search: at 1 ");
			   
			   SharedObjects.qe.handleSearchDisplay(out);
			   System.out.println("in do get sercah :done ");
		  }
}
